xnc(1)

NAME
xnc - Filemanager for X Window

SYNOPSIS
xnc [-display xdisplay] [-geometry geom] [-/+rv] [-fn fontname] [-/+ls] [-/+sb] [-sl number] [-/+vb] [-C] [-/+si] [-/+fl] [-help]

DESCRIPTION

This manual page describes the xnc program, the file manager for X Window. It provides many operations with files in Virtual File System, such as copy, move, delete, rename, view, edit ... Currently Virtiual File System in xnc can work with normal disk filesystem and with various archives in popular formats. xnc is highly and easily configurable with xncsetup, that allow color changing, hot keys redefinitions, fonts choosing etc.

Short description of xnc features:

o   View two directories in two panels with highlighting.

o   Copy, move, rename, delete files and directories recursivly.

o   View or edit files with internal ives or external editors.

o   File execution in built-in xterminal.

o   File association with applications by file extension.

o   Operations with files inside archives.

o   User menu for quick command execution.

o   HotDir bookmark for quick changing to useful directories.

o   Processes information/Signal sending.

o   Memory infromation.

o   Disk summary infromation.

o   Quick ScanDir infromation.

o   And more...

OPTIONS

-display xdisp
    Connect to X Server xdisp.

-geometry geom
    Set geometry of xnc windows to geom.

-/+rv
    Turn on/off reverse video in xterminal (default is nonreverse).

-fn fontname
    Set font named fontname in xterminal window.

-/+ls
    Turn on/off login shell mode.

-/+sb
    Turn on/off scrollbar in xterminal window.

-sl number
    Number of scrolled line to save in xterminal window.

-/+vb
    Turn on/off visual bell.

-C  Intercept console massages.

-/+si
    Turn on/off startup logo (default is on).

-/+fl
    Turn on/off fast loading mode. (default is off). There are no directory icons, file icons and startup logo in fast loading mode.

-/+to
    Turn on/off rxvt terminal (default is on).

-/+su
    Turn on/off 'system' call, works when terminal is off (-to)

-help
    Shows help options screen.

FILES

The xnc program requires some configuration files in your HOME/.xnc directory, so run xncsetup before first start of xnc.

SEE ALSO

xncsetup, ives, vs, es, xjpegroot

BUGS

There may be bugs in the xnc package, but that's not very likely. But if you'll find the bug then please, send complete description to the author.

AUTHOR

Leonid Khramov (leo@xnc.dubna.su)